%global momorel 4

Summary: A GNU tool which simplifies the build process for users.
Name: make
Version: 3.80
Release: %{momorel}m
License: GPL
Group: Development/Tools
Source: ftp://ftp.gnu.org/pub/gnu/make/%{name}-%{version}.tar.bz2
NoSource: 0
Prereq: info
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.gnu.org/directory/make.html

%description
A GNU tool for controlling the generation of executables and other
non-source files of a program from the program's source files.  Make
allows users to build and install packages without any significant
knowledge about the details of the build process.  The details about
how the program should be built are provided for make in the program's
makefile.

The GNU make tool should be installed on your system because it is
commonly used to simplify the process of installing programs.

%prep
%setup -q

%build
%configure
make

%install
rm -f %{buildroot}/%{_infodir}/make.info*
%makeinstall

pushd %{buildroot}/%{_prefix} ; { 
  ln -sf make ./bin/gmake
} ; popd

rm -f %{buildroot}%{_infodir}/dir

%clean
rm -rf %{buildroot}

%post
/sbin/install-info /%{_infodir}/make.info.* /%{_infodir}/dir --entry="* GNU make: (make).           The GNU make utility."

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete /%{_infodir}/make.info.* /%{_infodir}/dir --entry="* GNU make: (make).           The GNU make utility."
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README*
%{_bindir}/make
%{_bindir}/gmake
%{_mandir}/man1/make.1*
%{_infodir}/make.info*
%{_datadir}/locale/*/LC_MESSAGES/make.mo

%ChangeLog
* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.80-4m)
- remove Epoch

* Mon Mar 22 2004 Toru Hoshina <t@momonga-linux.org>
- (3.80-3m)
- revised spec for enabling rpm 4.2.

* Sun Mar 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.80-2m)
- arrange URL tag
- use macros

* Sat Oct 05 2002 Kenta MURATA <muraken2@nifty.com>
- (3.80-1m)
- update to 3.80.

* Thu Oct 18 2001 Toru Hoshina <t@kondara.org>
- (3.79.1-14k)
- rebuild against gettext 0.10.40.

* Mon Oct 15 2001 Masaru Sato <masachan@kondara.org>
- add url tag

* Sat Apr 28 2001 Toru Hoshina <toru@df-usa.com>
- (3.79.1-12k)
- no more pachinko.

* Tue Mar 13 2001 AYUHANA Tomonori <l@kondara.org>
- (3.79.1-10k)
- from Jirai 11k
- %files grob /usr/share/locale/*/LC_MESSAGES/make.mo

* Wed Oct 25 2000 MATSUDA, Daiki <dyky@df-usa.com>
- modifiled %post and %preun section from .gz to .bz2

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.


* Mon Jun 26 2000 AYUHANA Tomonori <l@kondara.org>
- (3.79.1-2k)
- use %makeinstall

* Mon Jun 26 2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- (3.79.1-1k)
- up to ver 3.79.1

* Thu Apr 13 2000 Daiki Masuda <dyky@df-usa.com>
- Version up 3.79

* Sun Apr 02 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (3.78.1-4).

* Wed Mar 1 2000 Masako Hattori <maru@kondara.org>
- change jman mv->cp

* Thu Feb 24 2000 Masako Hattori <maru@kondara.org>
- add man-paged-ja-GNU_make-20000115

* Thu Feb 24 2000 Cristian Gafton <gafton@redhat.com>
- add patch from Andreas Jaeger to fix dtype lookups (for glibc 2.1.3
  builds)

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man page.

* Fri Jan 21 2000 Cristian Gafton <gafton@redhat.com>
- apply patch to fix a /tmp race condition from Thomas Biege
- simplify %install

* Sat Nov 27 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.78.1.

* Thu Apr 15 1999 Bill Nottingham <notting@redhat.com>
- added a serial tag so it upgrades right

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Wed Sep 16 1998 Cristian Gafton <gafton@redhat.com>
- added a patch for large file support in glob
 
* Tue Aug 18 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.77

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 16 1997 Donnie Barnes <djb@redhat.com>
- udpated from 3.75 to 3.76
- various spec file cleanups
- added install-info support

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
